QGIS Application - Bug report #21861
OGR Warning cannot open OUTPUT.file
2019-04-16 03:52 PM - Max Reinicke

Status: Open

Priority: Normal

Assignee:

Category: Processing/Modeller

Affected QGIS version:3.4.6 Regression?: No
Operating System: MacOS High Sierra (10.13.6) Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29676
Description

Hi,

| am using the Graphical Modeler in on MacOS High Sierra (version info below).

My models cannot seem to be able to open any intermediate files. The output is generated and saved correctly (I checked the first set of
intermediary outputs manually), but then when they are loaded into the next model step | get the following message in the OGR Log
Messages:

2019-04-16T15:18:15 WARNING Cannot open
/var/folders/k5/gphlgjs56mx9hjm_b7w7hfw40000gn/T/processing_616c1704283a42c8a1bc141828bcfae7/89a719abe9d14d568e0b08e
90a70fbd2/gdal_warpreproject_2_SST_disagg.tif.()

The model still runs until the end, but the output files after this warning is triggered are empty (+/-1.7*€99).

| found a similar issue #19597, but in my case the warning message is true! Is there a workaround for this? Does OGR lack access
permissions or are the output files not properly closed by the Graphical Modeler?

MacOS High Sierra (10.13.6)

QGIS version

3.4.6-Madeira

QGIS code branch

Release 3.4

Compiled against Qt

511.2

Running against Qt

511.2

Compiled against GDAL/OGR
24.0

Running against GDAL/OGR
24.0

Compiled against GEOS
3.7.1-CAPI-1.11.0

Running against GEOS
3.7.1-CAPI-1.11.1 27a5e771
PostgreSQL Client Version
9.6.10

SpatiaLite Version
4.4.0-RC1

QWT Version

2025-12-15 12
6.1.3

QScintilla2 Version
2.10.8

Compiled against PROJ
520

Running against PROJ
520

History

#1 - 2019-04-16 06:17 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No

- Priority changed from High to Normal

- Category changed from Processing/OGR to Processing/Modeller
